package com.yn.bftl.thirdparty.common.transfer;

import com.yn.bftl.common.modules.company.enums.ApplicationStatus;
import org.apache.commons.lang3.StringUtils;

public class ByxApplicationStatusTransfer {

    public static ApplicationStatus transfer(String status) {
        if (StringUtils.isEmpty(status)) {
            return null;
        }
        switch (status) {
            case "00": return ApplicationStatus.REGISTER_SUCCESS;
            case "01": return ApplicationStatus.FIRST_AUDITING_SUCCESS;
            case "02": return ApplicationStatus.REGISTER_FAIL;
            case "03": return ApplicationStatus.CERTIFICATION_MAT_SUCCESS;
        }
        return null;
    }
}
